Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network35.0.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
35.0.0.0
Broadcast address
35.1.255.255
First usable
35.0.0.1
Last usable
35.1.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
A (default /8)
As numbers
Hex 23000000 · Integer 587202560 to 587333631
Reverse DNS zones
0.35.in-addr.arpa
1.35.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100011.00000000.00000000.0000000035.0.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network00100011.00000000.00000000.0000000035.0.0.0
Broadcast00100011.00000001.11111111.1111111135.1.255.255
Split into smaller subnets/22

35.0.0.0/15 makes 128 subnets of /22.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
135.0.0.0/2235.0.0.1 to 35.0.3.25435.0.3.2551,022
235.0.4.0/2235.0.4.1 to 35.0.7.25435.0.7.2551,022
335.0.8.0/2235.0.8.1 to 35.0.11.25435.0.11.2551,022
435.0.12.0/2235.0.12.1 to 35.0.15.25435.0.15.2551,022
535.0.16.0/2235.0.16.1 to 35.0.19.25435.0.19.2551,022
635.0.20.0/2235.0.20.1 to 35.0.23.25435.0.23.2551,022
735.0.24.0/2235.0.24.1 to 35.0.27.25435.0.27.2551,022
835.0.28.0/2235.0.28.1 to 35.0.31.25435.0.31.2551,022
935.0.32.0/2235.0.32.1 to 35.0.35.25435.0.35.2551,022
1035.0.36.0/2235.0.36.1 to 35.0.39.25435.0.39.2551,022
1135.0.40.0/2235.0.40.1 to 35.0.43.25435.0.43.2551,022
1235.0.44.0/2235.0.44.1 to 35.0.47.25435.0.47.2551,022
1335.0.48.0/2235.0.48.1 to 35.0.51.25435.0.51.2551,022
1435.0.52.0/2235.0.52.1 to 35.0.55.25435.0.55.2551,022
1535.0.56.0/2235.0.56.1 to 35.0.59.25435.0.59.2551,022
1635.0.60.0/2235.0.60.1 to 35.0.63.25435.0.63.2551,022
1735.0.64.0/2235.0.64.1 to 35.0.67.25435.0.67.2551,022
1835.0.68.0/2235.0.68.1 to 35.0.71.25435.0.71.2551,022
1935.0.72.0/2235.0.72.1 to 35.0.75.25435.0.75.2551,022
2035.0.76.0/2235.0.76.1 to 35.0.79.25435.0.79.2551,022
2135.0.80.0/2235.0.80.1 to 35.0.83.25435.0.83.2551,022
2235.0.84.0/2235.0.84.1 to 35.0.87.25435.0.87.2551,022
2335.0.88.0/2235.0.88.1 to 35.0.91.25435.0.91.2551,022
2435.0.92.0/2235.0.92.1 to 35.0.95.25435.0.95.2551,022
2535.0.96.0/2235.0.96.1 to 35.0.99.25435.0.99.2551,022
2635.0.100.0/2235.0.100.1 to 35.0.103.25435.0.103.2551,022
2735.0.104.0/2235.0.104.1 to 35.0.107.25435.0.107.2551,022
2835.0.108.0/2235.0.108.1 to 35.0.111.25435.0.111.2551,022
2935.0.112.0/2235.0.112.1 to 35.0.115.25435.0.115.2551,022
3035.0.116.0/2235.0.116.1 to 35.0.119.25435.0.119.2551,022
3135.0.120.0/2235.0.120.1 to 35.0.123.25435.0.123.2551,022
3235.0.124.0/2235.0.124.1 to 35.0.127.25435.0.127.2551,022
3335.0.128.0/2235.0.128.1 to 35.0.131.25435.0.131.2551,022
3435.0.132.0/2235.0.132.1 to 35.0.135.25435.0.135.2551,022
3535.0.136.0/2235.0.136.1 to 35.0.139.25435.0.139.2551,022
3635.0.140.0/2235.0.140.1 to 35.0.143.25435.0.143.2551,022
3735.0.144.0/2235.0.144.1 to 35.0.147.25435.0.147.2551,022
3835.0.148.0/2235.0.148.1 to 35.0.151.25435.0.151.2551,022
3935.0.152.0/2235.0.152.1 to 35.0.155.25435.0.155.2551,022
4035.0.156.0/2235.0.156.1 to 35.0.159.25435.0.159.2551,022
4135.0.160.0/2235.0.160.1 to 35.0.163.25435.0.163.2551,022
4235.0.164.0/2235.0.164.1 to 35.0.167.25435.0.167.2551,022
4335.0.168.0/2235.0.168.1 to 35.0.171.25435.0.171.2551,022
4435.0.172.0/2235.0.172.1 to 35.0.175.25435.0.175.2551,022
4535.0.176.0/2235.0.176.1 to 35.0.179.25435.0.179.2551,022
4635.0.180.0/2235.0.180.1 to 35.0.183.25435.0.183.2551,022
4735.0.184.0/2235.0.184.1 to 35.0.187.25435.0.187.2551,022
4835.0.188.0/2235.0.188.1 to 35.0.191.25435.0.191.2551,022
4935.0.192.0/2235.0.192.1 to 35.0.195.25435.0.195.2551,022
5035.0.196.0/2235.0.196.1 to 35.0.199.25435.0.199.2551,022
5135.0.200.0/2235.0.200.1 to 35.0.203.25435.0.203.2551,022
5235.0.204.0/2235.0.204.1 to 35.0.207.25435.0.207.2551,022
5335.0.208.0/2235.0.208.1 to 35.0.211.25435.0.211.2551,022
5435.0.212.0/2235.0.212.1 to 35.0.215.25435.0.215.2551,022
5535.0.216.0/2235.0.216.1 to 35.0.219.25435.0.219.2551,022
5635.0.220.0/2235.0.220.1 to 35.0.223.25435.0.223.2551,022
5735.0.224.0/2235.0.224.1 to 35.0.227.25435.0.227.2551,022
5835.0.228.0/2235.0.228.1 to 35.0.231.25435.0.231.2551,022
5935.0.232.0/2235.0.232.1 to 35.0.235.25435.0.235.2551,022
6035.0.236.0/2235.0.236.1 to 35.0.239.25435.0.239.2551,022
6135.0.240.0/2235.0.240.1 to 35.0.243.25435.0.243.2551,022
6235.0.244.0/2235.0.244.1 to 35.0.247.25435.0.247.2551,022
6335.0.248.0/2235.0.248.1 to 35.0.251.25435.0.251.2551,022
6435.0.252.0/2235.0.252.1 to 35.0.255.25435.0.255.2551,022
6535.1.0.0/2235.1.0.1 to 35.1.3.25435.1.3.2551,022
6635.1.4.0/2235.1.4.1 to 35.1.7.25435.1.7.2551,022
6735.1.8.0/2235.1.8.1 to 35.1.11.25435.1.11.2551,022
6835.1.12.0/2235.1.12.1 to 35.1.15.25435.1.15.2551,022
6935.1.16.0/2235.1.16.1 to 35.1.19.25435.1.19.2551,022
7035.1.20.0/2235.1.20.1 to 35.1.23.25435.1.23.2551,022
7135.1.24.0/2235.1.24.1 to 35.1.27.25435.1.27.2551,022
7235.1.28.0/2235.1.28.1 to 35.1.31.25435.1.31.2551,022
7335.1.32.0/2235.1.32.1 to 35.1.35.25435.1.35.2551,022
7435.1.36.0/2235.1.36.1 to 35.1.39.25435.1.39.2551,022
7535.1.40.0/2235.1.40.1 to 35.1.43.25435.1.43.2551,022
7635.1.44.0/2235.1.44.1 to 35.1.47.25435.1.47.2551,022
7735.1.48.0/2235.1.48.1 to 35.1.51.25435.1.51.2551,022
7835.1.52.0/2235.1.52.1 to 35.1.55.25435.1.55.2551,022
7935.1.56.0/2235.1.56.1 to 35.1.59.25435.1.59.2551,022
8035.1.60.0/2235.1.60.1 to 35.1.63.25435.1.63.2551,022
8135.1.64.0/2235.1.64.1 to 35.1.67.25435.1.67.2551,022
8235.1.68.0/2235.1.68.1 to 35.1.71.25435.1.71.2551,022
8335.1.72.0/2235.1.72.1 to 35.1.75.25435.1.75.2551,022
8435.1.76.0/2235.1.76.1 to 35.1.79.25435.1.79.2551,022
8535.1.80.0/2235.1.80.1 to 35.1.83.25435.1.83.2551,022
8635.1.84.0/2235.1.84.1 to 35.1.87.25435.1.87.2551,022
8735.1.88.0/2235.1.88.1 to 35.1.91.25435.1.91.2551,022
8835.1.92.0/2235.1.92.1 to 35.1.95.25435.1.95.2551,022
8935.1.96.0/2235.1.96.1 to 35.1.99.25435.1.99.2551,022
9035.1.100.0/2235.1.100.1 to 35.1.103.25435.1.103.2551,022
9135.1.104.0/2235.1.104.1 to 35.1.107.25435.1.107.2551,022
9235.1.108.0/2235.1.108.1 to 35.1.111.25435.1.111.2551,022
9335.1.112.0/2235.1.112.1 to 35.1.115.25435.1.115.2551,022
9435.1.116.0/2235.1.116.1 to 35.1.119.25435.1.119.2551,022
9535.1.120.0/2235.1.120.1 to 35.1.123.25435.1.123.2551,022
9635.1.124.0/2235.1.124.1 to 35.1.127.25435.1.127.2551,022
9735.1.128.0/2235.1.128.1 to 35.1.131.25435.1.131.2551,022
9835.1.132.0/2235.1.132.1 to 35.1.135.25435.1.135.2551,022
9935.1.136.0/2235.1.136.1 to 35.1.139.25435.1.139.2551,022
10035.1.140.0/2235.1.140.1 to 35.1.143.25435.1.143.2551,022
10135.1.144.0/2235.1.144.1 to 35.1.147.25435.1.147.2551,022
10235.1.148.0/2235.1.148.1 to 35.1.151.25435.1.151.2551,022
10335.1.152.0/2235.1.152.1 to 35.1.155.25435.1.155.2551,022
10435.1.156.0/2235.1.156.1 to 35.1.159.25435.1.159.2551,022
10535.1.160.0/2235.1.160.1 to 35.1.163.25435.1.163.2551,022
10635.1.164.0/2235.1.164.1 to 35.1.167.25435.1.167.2551,022
10735.1.168.0/2235.1.168.1 to 35.1.171.25435.1.171.2551,022
10835.1.172.0/2235.1.172.1 to 35.1.175.25435.1.175.2551,022
10935.1.176.0/2235.1.176.1 to 35.1.179.25435.1.179.2551,022
11035.1.180.0/2235.1.180.1 to 35.1.183.25435.1.183.2551,022
11135.1.184.0/2235.1.184.1 to 35.1.187.25435.1.187.2551,022
11235.1.188.0/2235.1.188.1 to 35.1.191.25435.1.191.2551,022
11335.1.192.0/2235.1.192.1 to 35.1.195.25435.1.195.2551,022
11435.1.196.0/2235.1.196.1 to 35.1.199.25435.1.199.2551,022
11535.1.200.0/2235.1.200.1 to 35.1.203.25435.1.203.2551,022
11635.1.204.0/2235.1.204.1 to 35.1.207.25435.1.207.2551,022
11735.1.208.0/2235.1.208.1 to 35.1.211.25435.1.211.2551,022
11835.1.212.0/2235.1.212.1 to 35.1.215.25435.1.215.2551,022
11935.1.216.0/2235.1.216.1 to 35.1.219.25435.1.219.2551,022
12035.1.220.0/2235.1.220.1 to 35.1.223.25435.1.223.2551,022
12135.1.224.0/2235.1.224.1 to 35.1.227.25435.1.227.2551,022
12235.1.228.0/2235.1.228.1 to 35.1.231.25435.1.231.2551,022
12335.1.232.0/2235.1.232.1 to 35.1.235.25435.1.235.2551,022
12435.1.236.0/2235.1.236.1 to 35.1.239.25435.1.239.2551,022
12535.1.240.0/2235.1.240.1 to 35.1.243.25435.1.243.2551,022
12635.1.244.0/2235.1.244.1 to 35.1.247.25435.1.247.2551,022
12735.1.248.0/2235.1.248.1 to 35.1.251.25435.1.251.2551,022
12835.1.252.0/2235.1.252.1 to 35.1.255.25435.1.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses